Skip to main content
POST
/
api2
/
v1
/
spellCheck
/
check
/
{jobUid}
Spell check for job
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/spellCheck/check/{jobUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "lang": "<string>",
  "texts": [
    "<string>"
  ],
  "referenceTexts": [
    "<string>"
  ],
  "zeroLengthSeparator": "<string>"
}
'
{
  "spellCheckResults": [
    {
      "misspelledWords": [
        {
          "offset": 123,
          "word": "<string>"
        }
      ],
      "text": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

jobUid
string
required

Job UID

Body

application/json
lang
string
required

Language code for spell check

texts
string[]
required

List of texts to spell check

referenceTexts
string[]

Reference texts used for context

zeroLengthSeparator
string

Separator marking zero-length segments within texts

Response

OK

spellCheckResults
object[]

Spell check results for each submitted text